set_color_depth(3)

NAME
set_color_depth - Sets the global pixel color depth. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_color_depth(int depth);

DESCRIPTION
Sets the pixel format to be used by subsequent calls to set_gfx_mode() and create_bitmap(). Valid depths are 8 (the default), 15, 16, 24, and 32 bits. Example:
   set_color_depth(32);
   if (set_gfx_mode(GFX_AUTODETECT, 640, 480, 0, 0) != 0) {
      abort_on_error("Couldn't set a 32 bit color resolution");
   }

Note that the screen color depth won't change until the next successful call to set_gfx_mode().

SEE ALSO
get_color_depth(3), set_gfx_mode(3), set_color_conversion(3), makecol(3), getr(3), desktop_color_depth(3)